From 2b3ac09639387f5cb550676d0b62ceeffb1761cf Mon Sep 17 00:00:00 2001
From: Alexey Min <alexey.min@gmail.com>
Date: Mon, 29 Jun 2020 06:55:59 +0300
Subject: [PATCH 24/59] AlpineApkAuthHelper: fix nullptr deref in
 onTransactionFinished

m_currentTransaction was never assigned
---
 libdiscover/backends/AlpineApkBackend/AlpineApkAuthHelper.cpp | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/libdiscover/backends/AlpineApkBackend/AlpineApkAuthHelper.cpp b/libdiscover/backends/AlpineApkBackend/AlpineApkAuthHelper.cpp
index b436aa73b..f5d8e17e5 100644
--- a/libdiscover/backends/AlpineApkBackend/AlpineApkAuthHelper.cpp
+++ b/libdiscover/backends/AlpineApkBackend/AlpineApkAuthHelper.cpp
@@ -67,6 +67,8 @@ void AlpineApkAuthHelper::closeDatabase()
 
 void AlpineApkAuthHelper::setupTransactionPostCreate(QtApk::Transaction *trans)
 {
+    m_currentTransaction = trans; // remember current transaction here
+
     // receive progress notifications
     QObject::connect(trans, &QtApk::Transaction::progressChanged,
                      this, &AlpineApkAuthHelper::reportProgress);
-- 
GitLab


